global
	log /dev/log	local0
	log /dev/log	local1 notice
	chroot /var/lib/haproxy
	stats socket /run/haproxy/admin.sock mode 660 level admin
	stats timeout 30s
	user haproxy
	group haproxy
	daemon


defaults
	log	global
	mode	http
	option	httplog
	option	dontlognull
        timeout connect 5000
        timeout client  50000
        timeout server  50000
	errorfile 400 /etc/haproxy/errors/400.http
	errorfile 403 /etc/haproxy/errors/403.http
	errorfile 408 /etc/haproxy/errors/408.http
	errorfile 500 /etc/haproxy/errors/500.http
	errorfile 502 /etc/haproxy/errors/502.http
	errorfile 503 /etc/haproxy/errors/503.http
	errorfile 504 /etc/haproxy/errors/504.http


listen stats
	bind		*:8081
	mode		http
	log		global
	maxconn 10
	option forwardfor
	option httpclose
	stats enable
	stats refresh 30s
	stats show-legends
	stats auth admin:password
	stats uri /stats
	stats realm Haproxy\Statistics
	stats admin if TRUE

##### Block ACL #####
frontend myapp_front
	bind *:80
	mode http

	acl myapp_front1 hdr_dom(host) -i www.myapp1.lgw
	use_backend back_myapp1 if myapp_front1

	acl myapp_front2 hdr_dom(host) -i www.myapp2.lgw
	use_backend back_myapp2 if myapp_front2
        #########
	
        acl app1_front path_beg  /clusterjsp
	use_backend back_tomcat if app1_front

	acl webapp_front path_beg /webapp
	use_backend back_tomcat if webapp_front




backend back_myapp1
	{% for apache_server_ip in apache1 %}
	server apache_{{ loop.index }} {{ apache_server_ip}}:80 check
	{% endfor %}

 
backend back_myapp2
        {% for apache_server_ip in apache2 %}
        server apache_{{ loop.index }} {{ apache_server_ip}}:80 check
        {% endfor %}

backend back_tomcat
	{% for tomcat_server_ip in tomcat_servers %}
	server tomcat_{{ loop.index }} {{ tomcat_server_ip }}:8080 check
	{% endfor %}

